body {
	margin: 0;
}
header, footer {
	background-color: #2d2d2f;
	height: auto;
	width: 100%;
}
header {
	/*margin-bottom: 40px;*/
}
footer {
	height: 29px;
	border-top: 1px solid #ddd;
	box-sizing: content-box;
	padding-top: 20px;
}
textarea {
	padding: 5px 10px;
	border-radius: 5px;
}
.container {
	display: flex;
	margin: auto;
	width: 1024px;
}
.container-fluid {
	display: flex;
	margin-right: auto;
	margin-left: auto;
	padding-left: 100px;
	padding-right: 100px;
	max-width: 1980px;
}
.wrap {
	min-height: 100%;
	height: auto;
	margin: 0 auto -50px;
	padding: 0px 0 65px;
}
.main {
	/*height: 80%;*/
	margin-bottom: 20px;
	margin-top: 20px;
}
.ask-button {
	cursor: pointer;
	border-radius: 5px;
	border-color: transparent;
	color: white;
	background: linear-gradient(to top, #eda700 50%, #ffb400 50%);
	font-size: 16px;
	height: 40px;
	width: 200px;
	margin-top: 10px;
}
.textarea-tab {
	width: 100%;
	height: 20%;
	background: beige;
	box-shadow: 0 10px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
	margin-top: .5rem;
}
.inputBlock {
	height: 25%;
}
.buttons-column {
	min-width: 160px;
	display: flex;
	align-items: center;
}
.dialog {
	background: beige;
	/*border: 1px solid grey;*/
	height: 100%;
	box-shadow: 0 10px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19) !important;
	padding: 5px 10px;
	overflow: auto;
	border-radius: 5px;
	margin: 1rem 0;
}
.dialogBlock {
	height: 75vh;
}
.video {
	position: absolute;
	top: 50%;
	bottom: 50%;
	filter: drop-shadow(5px 2px 0.75rem #f7f779);
	margin: auto;
	border-radius: 100%;
	display: block;
	height: 400px;
	aspect-ratio: 1 / 1;
	object-fit: initial;
	z-index: 2;
	opacity: 1;
	transition: opacity 0.5s ease-in-out 0s;
	overflow-clip-margin: content-box;
	overflow: clip;
}
.video-wrapper {
	height: 500px;
	background: url(../images/bg.png) top;
	padding: 0 175px;
}
.video-wrapper div {
	width: 400px;
	margin: 0 auto;
	padding: 50px 0 0 0;
}
#talk-video {
	transition: opacity 0.5s ease-in-out 0s;
}
#recorderDescription {
	display: none;
}


.nav-pills {
	background-color: beige;
	display: none;
}
.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
	color: #fff;
	background-color: black;
}

/*peerConection*/
.peerConnectionState-new {
	color: cornflowerblue;
}
.peerConnectionState-connecting {
	color: orange;
}
.peerConnectionState-connected {
	color: green;
}
.peerConnectionState-disconnected,
.peerConnectionState-closed,
.peerConnectionState-failed {
	color: red;
}

.iceConnectionState-new {
	color: cornflowerblue;
}
.iceConnectionState-checking {
	color: orange;
}
.iceConnectionState-connected,
.iceConnectionState-completed {
	color: green;
}
.peerConnectionState-disconnected,
.peerConnectionState-closed,
.peerConnectionState-failed {
	color: red;
}

.iceGatheringState-new {
	color: cornflowerblue;
}
.iceGatheringState-gathering {
	color: orange;
}
.iceGatheringState-complete {
	color: black;
}

.signalingState-stable {
	color: green;
}
.signalingState-have-local-offer,
.signalingState-have-remote-offer,
.signalingState-have-local-pranswer,
.signalingState-have-remote-pranswer {
	color: cornflowerblue;
}
.signalingState-closed {
	color: red;
}

.streamingState-streaming {
	color: green;
}

.streamingState-empty {
	color: grey;
}

/* added css from here */
#content {
	position: relative;
	margin: 0 auto;
	text-align: center;
}

#buttons {
	clear: both;
	padding: 0 0 0 0;
	text-align: center;
}

button {
	padding: 10px 20px;
	border-radius: 5px;
	border: none;
	font-size: 16px;
	margin: 0 5px;
	background-color: #7459fe;
	color: #fff;
}

button:hover {
	background-color: #9480ff;
	cursor: pointer;
	transition: all 0.2s ease-out;
}

#status {
	clear: both;
	padding: 20px 0 0 0;
	text-align: left;
	display: inline-block;
	zoom: 1;
	line-height: 140%;
	font-size: 14px;
}

#status div {
	padding-bottom: 10px;
}

#status label {
	margin-bottom: 0.25rem;
}

#video-wrapper {
	/*background: url(images/bg.png);*/
	/*height: 450px;*/
	background-position: top;
	filter: drop-shadow(5px 2px 0.75rem #f7f779)
}

#video-wrapper div {
	width: 400px;
	margin: 0 auto;
	padding: 2rem 0;
}
video {
	display: block;
	/*border:1px solid;*/
	border-radius: 50%;
	background-color: #fff;
}

/*Recorder*/
#recorder {
	position: relative;
	width: 4.5rem;
	height: 4.5rem;
	border-radius: 3rem;
	background: #38383d;
	border: 1px solid #f9f9fa33;
	cursor: pointer;
	box-shadow: 0 1px 4px 0 rgba(12, 12, 13, 0.2), 0 0 0 1px rgba(0, 0, 0, 0.15);
	transition: 0.1s ease;
	margin: 1rem auto;
}

#recorder.out #record {
	animation: out 0.8s ease, in 0.2s 0.8s ease;
}

#recorder #record {
	width: 60%;
	height: 60%;
	top: 20%;
	left: 20%;
	position: absolute;
	transition: inherit;
}
#recorder.out #record {
	opacity: 1;
}
#recorder.recording #record {
	opacity: 0;
}

#recorder #stop {
	width: 75%;
	height: 75%;
	top: 13%;
	left: 13%;
	position: absolute;
	transition: inherit;
}
#recorder.out #stop {
	opacity: 0;
}
#recorder.recording #stop {
	opacity: 1;
}


#recorder #disabled {
	width: 60%;
	height: 60%;
	top: 20%;
	left: 20%;
	position: absolute;
	transition: inherit;
}

#recorder:disabled #record,
#recorder:disabled #stop,
#recorder #disabled {
	opacity: 0;
}

#recorder:disabled #disabled {
	opacity: 1;
}


#recorder #arrow {
	width: 50%;
	height: 50%;
	top: 30%;
	left: 25%;
	position: absolute;
	transition: inherit;
	opacity: 0;
}

#audioInputTab {
	height: 60%;
	display: flex;
}

.recorderBlock {
	width: 100%;
	text-align: center;
}

.recorder-description {
	padding-top: 0.5rem;
	font-style: italic;
	color: rgb(128, 128, 128);
}

#controls {
	display: none;
	margin-top: 1.5rem;
	/*max-width: 28em;*/
	/*margin: auto;*/
}
#controls button {
	flex-grow: 1;
	height: 2.75rem;
	min-width: 10rem;
	border: none;
	border-radius: 0.3rem;
	background: #ed341d;
	margin-left: 2px;
	box-shadow: inset 0 -0.15rem 0 rgba(0, 0, 0, 0.2);
	cursor: pointer;
	display: flex;
	justify-content: center;
	align-items: center;
	color: #ffffff;
	font-weight: bold;
	font-size: 1rem;
}

#controls button:first-child {
	margin-left: 0;
}

#controls button:last-child {
	background: linear-gradient(to top, #eda700 50%, #ffb400 50%)
}

#controls button:disabled {
	pointer-events: none;
	background: lightgray;
}
#recorder.recording {
	animation: recordBackground linear 2s infinite;
}
#recorder.recording #record {
	animation: recording 0.7s ease infinite;
}

.spinner {
	height: 400px;
	border: 2px solid #f3f3f3;
	border-top: 3px solid #f25a41;
	border-radius: 100%;
	animation: spin 1s infinite linear;
	position: absolute;
	top: 2rem;
	bottom: 0;
	left: 0;
	right: 0;
	display: none;
	z-index: 2;
}
.loading .spinner {
	display: block;
}
.loading #talk-video {
	filter: grayscale(.75);
}

@keyframes recordBackground {
	from {
		transform: none;
		box-shadow: 0 0 0 1px #45a1ff, 0 0 0 4px rgba(69, 161, 255, 0.3);
	}

	50% {
		transform: scale(1.15);
		box-shadow: 0 0 0 4px #45a1ff, 0 0 0 10px rgba(69, 161, 255, 0.3);
	}

	to {
		transform: none;
		box-shadow: 0 0 0 1px #45a1ff, 0 0 0 4px rgba(69, 161, 255, 0.3);
	}
}

@keyframes recording {
	from, to {
		transform: rotate(10deg);
	}
	50% {
		transform: rotate(-10deg);
	}
}

@keyframes spin {
	from{
		transform: rotate(0deg);
	}to{
		 transform: rotate(360deg);
	 }
}
